'-----------------------------------------------------------------------
' Using OLE DB: WASPDB.Territory.Save.vbs
' Copyright (c) 2003, Paradigm Corporation, All Rights Reserved.
'-----------------------------------------------------------------------
' This material may be freely used and distributed provided that the
' copyright notice above and this disclaimer are preserved in their
' entirety. This material is offered AS-IS WITH NO WARRANTY. Paradigm
' hereby disclaims all warranties respecting this material, expressed
' or implied, including without limitation warranty of design, merchant-
' ability, fitness for a particular purpose and against infringement.                                              '
'-----------------------------------------------------------------------
' ADO script illustrating opening a client-side cursor and persisting the
' data to a Windows file in ADTG and XML format.
'-----------------------------------------------------------------------
' Modification Log.
' 2003-09-14  P.Kimpel
'   Adapt for Using OLE DB Demo site.
'-----------------------------------------------------------------------

Option Explicit

Const adPersistADTG = 0
Const adPersistXML = 1

Const adUseClient = 3

Dim db
Dim oops, ouch
Dim fld
Dim fso
Dim rs
Dim text
Dim tf

Set db = WScript.CreateObject("ADODB.Connection")
db.Open "Provider=Unisys.DMSII;Data Source=WASPDB;"
Set rs = WScript.CreateObject("ADODB.Recordset")

On Error Resume Next
With rs
  .CursorLocation = adUseClient
  .Open "TerrTbl", db
  if db.Errors.Count > 0 Then
    '-- Note: you will often see the Unisys Data Provider [UDP] report property errors.
    '-- These are apparently simply warnings, because the recordset appears to work fine.
    Set oops = db.Errors
    text = "Possible Errors:" & vbCrLf
    For Each ouch In oops
      text = text & ouch.Number & ": " & ouch.Description & vbCrLf
    Next
    MsgBox text & "These may be just warnings... click OK to continue",, WScript.ScriptName
  End If

  .Save "WASPDB.Territory.Save.adtg", adPersistADTG
  MsgBox "Recordset saved as ADTG",, WScript.ScriptName
  .Save "WASPDB.Territory.Save.xml", adPersistXML
  MsgBox "Recordset saved as XML",, WScript.ScriptName
  .Close
end With

Set rs = Nothing
db.Close
Set db = Nothing

MsgBox "Recordset saves completed"
