<%@ LANGUAGE=VBScript%>
<!-- #include virtual="/UNITE2003/Scripts/WASPutil.inc" -->
<%

'-----------------------------------------------------------------------
' Using OLE DB: CustomerNameRequest-SQL.asp
' Copyright (c) 2003, Paradigm Corporation, All Rights Reserved.
'-----------------------------------------------------------------------
' This material may be freely used and distributed provided that the
' copyright notice above and this disclaimer are preserved in their
' entirety. This material is offered AS-IS WITH NO WARRANTY. Paradigm
' hereby disclaims all warranties respecting this material, expressed
' or implied, including without limitation warranty of design, merchant-
' ability, fitness for a particular purpose and against infringement.                                              '
'-----------------------------------------------------------------------
' Customer name query request page.
' Session variables:
'   (none)
' Query string:
'   QP = original query page virtual path
'   Qtype = query type parameter for query page (SKU, Terr)
'-----------------------------------------------------------------------
' Modification Log.
' 2000-07-19  P.Kimpel
'   Original version.
' 2000-08-25  P.Kimpel
'   Delete "return page" and implement Qtype parameters.
' 2000-09-13  P.Kimpel
'   Minor fixup and standardize appearance.
' 2001-05-09  P.Kimpel
'   Modifications for Innatrack interface.
' 2001-05-19  P.Kimpel
'   Implement style sheet and new format for Innatrack interface.
' 2003-09-17  P.Kimpel
'   Adapt for Using OLE DB Demo site.
'-----------------------------------------------------------------------

Const title = "Customers by Name Request -- SQL Version"

Response.Buffer = True
FormatHTMLHeading title
%>
<script language="JavaScript">
<!-- hide script from old browsers

function ValidateForm (f)
  {
  var result = true;

  if (f.NameMethod[0].checked)
    if (f.NamePrefix.value.length < 3) {
      alert ("Name prefix must be at least 3 characters");
      result = false;
      }
    else
      {}
  else if (f.NameMethod[1].checked)
    if (f.NameContains.value.length < 3) {
      alert ("Name fragment must be at least 3 characters");
      result = false;
      }

  return result;
  } // ValidateForm

// end of script hiding -->
</script>

<%
FormatWASPHeading title
%>

<form NAME=NameForm ACTION="CustomerNameQuery-SQL.asp" METHOD=GET
    onSubmit="return ValidateForm(this)">

<table border=0 cellspacing=0 cellpadding=2>
<tr>
  <td><input NAME=NameMethod TYPE=radio VALUE=byPrefix CHECKED>
      Query names which <i>start with</i>...

  <td><input NAME=NamePrefix TYPE=text class=data SIZE=15 MAXLENGTH=20
      onChange="document.NameForm.NameMethod[0].checked=true">
<tr>
  <td><input NAME=NameMethod TYPE=radio VALUE=byContains>
      Query names which <i>contain</i>...

  <td><input NAME=NameContains TYPE=text class=data SIZE=15 MAXLENGTH=20
      onChange="document.NameForm.NameMethod[1].checked=true">
            &nbsp;(this is slow... go for coffee...)
</table>

<input name=QP type=hidden value="<%=Request.QueryString("QP")%>">
<input NAME=Qtype TYPE=hidden VALUE="<%=Request.QueryString("Qtype")%>">

<p>
<table border=0 cellspacing=0 cellpadding=2 width="100%">
<tr valign=bottom>
  <td align=left>
    <input NAME=Query TYPE=submit VALUE=Query>&nbsp;&nbsp;
    <input NAME=Reset TYPE=reset VALUE=Reset>
  <td align=right>
    <a href="/UNITE2003/Default.htm">Home</a>
</table>
</form>

</body>
</html>
