<%@ LANGUAGE=VBScript%>
<!-- #include virtual="/UNITE2003/Scripts/WASPutil.inc" -->
<%

'-----------------------------------------------------------------------
' Using OLE DB: CustomerQuery-SQL.asp
' Copyright (c) 2003, Paradigm Corporation, All Rights Reserved.
'-----------------------------------------------------------------------
' This material may be freely used and distributed provided that the
' copyright notice above and this disclaimer are preserved in their
' entirety. This material is offered AS-IS WITH NO WARRANTY. Paradigm
' hereby disclaims all warranties respecting this material, expressed
' or implied, including without limitation warranty of design, merchant-
' ability, fitness for a particular purpose and against infringement.                                              '
'-----------------------------------------------------------------------
' Customer detail information query results page.
' Session variables:
'   CustKey
' Query string:
'   QP = original query page virtual path
'   Qtype = query type from query page (SKU, Terr)
'   ShipNo : text
'-----------------------------------------------------------------------
' Modification Log.
' 2000-07-21  P.Kimpel
'   Original version (development started 2000-07-06).
' 2000-08-25  P.Kimpel
'   Implement credit flag, Qtype coding.
' 2000-09-01  P.Kimpel
'   Implement code translation for keycode, territory, trade class; add
'   help button.
' 2000-09-13  P.Kimpel
'   Implement parameter form and standardized appearance.
' 2000-11-17  P.Kimpel
'   Implement display of current order data from new WASPDB structures.
' 2003-09-14  P.Kimpel
'   Adapt for Using OLE DB Demo site.
'-----------------------------------------------------------------------

const title = "Customer Information -- SQL Version"

Dim key, code
Dim keycode, territory
Dim crflag
Dim dateYMD
Dim conn
Dim rs
Dim SQLstring

'---------------------------------------
Function FormatDateMDY (byVal d)
  Dim s

  s = CStr(d)
  If s = "0" Then
    s = "&nbsp;"
  Else
    s = Mid(s,5,2) & "/" & Right(s,2) & "/" & Left(s,4)
  End If

  FormatDateMDY = s
End Function

'---------------------------------------

Response.Buffer = true
FormatHTMLHeading title
%>
<script type="text/JavaScript" src="WASPJutil.js"></script>
<script type="text/JavaScript">
<!-- hide script from old browsers

function ValidateForm (f)
  {
  var result = true;

  if (!CheckNumber ('Ship number', f.ShipNo, 1, 999999))
    result = false;

  return result;
  } // ValidateForm

// end of script hiding -->
</script>
<%

FormatWASPHeading title

code = Request.QueryString("ShipNo")
If Len(code) <= 0 Then
  key = Session("CustKey")
  If Left(key,1) = "S" Then
    code = Right(key, Len(key)-1)
  Else
    code = ""
  End If
End If
%>
<form name=QueryForm action="<%=Request.ServerVariables("PATH_INFO")%>"
    method=get onSubmit="return ValidateForm(this)">

<table border=1 cellspacing=0 cellpadding=4>
<tr valign=middle>
<td align=left>Ship number
<td><input name=ShipNo type=text class=data size=6 maxlength=6<%
  If Len(code) > 0 Then
    Response.Write " VALUE=""" & code & """"
  End If
  %>
  onChange="if (CheckNumber('Ship number', this, 1, 999999)) {}">
  &nbsp;<a href="CustomerNameRequest-SQL.asp?QP=<%=Request.ServerVariables("PATH_INFO")
      %>&amp;Qtype=<%=Request.QueryString("Qtype")
      %>">Search by name</a>
<td align=center>&nbsp;
<input name=Query type=submit value=Query>&nbsp;
</table>

<input name=QP type=hidden value="<%=Request.QueryString("QP")%>">
<input name=QType type=hidden value="<%=Request.QueryString("Qtype")%>">
</form>

<%
Response.Flush

If Len(code) > 0 Then           'A ship number was specified in the query
  SQLstring = "SELECT armaster.shipno, armaster.billno, armaster.shipname" & _
              ", armaster.shipadd1, armaster.shipadd2, armaster.shipcity" & _
              ", armaster.shipst, armaster.shipzip, armaster.shipzip9" & _
              ", armaster.keycode, armaster.territory, armaster.tradecl" & _
              ", armaster.invcdate, armaster.whse" & _
              ", armaster.invcnum, armaster.invctype, armaster.creditflag" & _
              ", terrtbl.territoryname, keycodetbl.keycodename, tradecltbl.tradeclname" & _
              ", bmaster.shipname billname, bmaster.creditflag billcredit" & _
              " FROM WASPDB.WASPDB.WASPDB.armaster armaster" & _
                  " LEFT OUTER JOIN WASPDB.WASPDB.WASPDB.terrtbl terrtbl ON armaster.territory = terrtbl.territory" & _
                  " LEFT OUTER JOIN WASPDB.WASPDB.WASPDB.keycodetbl keycodetbl ON armaster.keycode = keycodetbl.keycode" &_
                  " LEFT OUTER JOIN WASPDB.WASPDB.WASPDB.tradecltbl tradecltbl ON armaster.tradecl = tradecltbl.tradecl" & _
                  " LEFT OUTER JOIN WASPDB.WASPDB.WASPDB.armaster bmaster ON armaster.billno = bmaster.shipno" &_
              " WHERE armaster.shipno=" & code

  rem -- Response.Write "<p><tt>" & SQLstring & "</tt>"

  Set conn = Server.CreateObject ("ADODB.Connection")
  conn.Open Application("SQLConn")

  Set rs = conn.Execute (SQLstring)

  If rs.BOF Then
    Response.Write "<p><font color=red><b>No such customer</b></font>"
  Else
    Session("CustKey") = "S" & code
    keycode = Trim(rs("keycode"))
    territory = CInt(rs("territory"))
    %>
    <table border=1 cellspacing=0 cellpadding=3>
      <tr><td>Ship number
          <td align=center colspan=2><b><%= rs("shipno") %></b>
      <tr><td>Name
          <td class=data colspan=2><%= rs("shipname") %>
      <tr valign=top><td>Address
          <td class=data colspan=2><%
            Response.Write rs("shipadd1") & "<br>"
            If Len(Trim(rs("shipadd2"))) > 0 Then
              Response.Write rs("shipadd2") & "<br>"
            End If
            Response.Write rs("shipcity") & " " & rs("shipst") & " " & rs("shipzip")
            If Len(Trim(rs("shipzip9"))) > 0 Then
              Response.Write "-" & rs("shipzip9")
            End If
          %>
      <tr><td>Key code
          <td class=center><%
            If Len(keycode) > 0 Then
              Response.Write keycode
            Else
              Response.Write "&nbsp;"
            End If
          %>
          <td class=data><%
            If Len(Trim(rs("keycodename"))) > 0 Then
              Response.Write rs("keycodename")
            Else
              Response.Write "&nbsp;"
            End If
          %>
      <tr><td>Territory
          <td class=center><%= territory %>
          <td class=data><%
            If Len(Trim(rs("territoryname"))) > 0 Then
              Response.Write rs("territoryname")
            Else
              Response.Write "&nbsp;"
            End If
          %>
      <tr><td>Trade class
          <td class=center><%
            If Len(Trim(rs("tradecl"))) > 0 Then
              Response.Write rs("tradecl")
            Else
              Response.Write "&nbsp;"
            End If
          %>
          <td class=data><%
            If Len(Trim(rs("tradeclname"))) > 0 Then
              Response.Write rs("tradeclname")
            Else
              Response.Write "&nbsp;"
            End If
          %>
      <tr><td>Bill number
          <td class=center><%=rs("billno")%>
          <td class=data><%
            If Len(Trim(rs("billname"))) > 0 Then
              Response.Write rs("billname")
            Else
              Response.Write "&nbsp;"
            End If
          %>
      <tr><td>Last invoice
          <td class=center><%
            If CInt(rs("invctype")) > 0 Then
              Response.Write " CM"
            End If
            Response.Write rs("whse") & rs("invcnum")
          %>
          <td class=data><%
            Response.Write FormatDateMDY(rs("invcdate"))
          %>
      <tr><td>Credit flag
          <td class=center><%
            If CLng(rs("billno")) = 0 Then
              Response.Write "[ship]"
              crflag = CInt(rs("creditflag"))
            Else
              Response.Write "[bill]"
              crflag = CInt(rs("billcredit"))
            End If
          %>
          <td class=data><%
            Select Case crflag
              Case 0
                Response.Write "<font color=green>OK</font>"
              Case 1, 2, 3, 4
                Response.Write "<font color=red>C-" & crflag & " Hold</font>"
              Case 8
                Response.Write "<font color=green>Never on Hold</font>"
              Case 9
                Response.Write "<font color=red>HOLD (no override)</font>"
              Case Else
                Response.Write "<font color=red>[ " & crflag & " ]</font>"
            End Select
          %>
    </table>
    <%
  End If

  Response.Flush
  rs.Close
  Set rs = Nothing

  SQLstring = "SELECT invcdate, invoiceno, invctype, ponumber, shipname" & _
              ", carrier, pronumber, shipdate, orderamount, orderid, ordstatus" & _
              " FROM WASPDB.WASPDB.WASPDB.orders orders" & _
              " WHERE shipno=" & code

  rem -- Response.Write "<p><tt>" & SQLstring & "</tt>"

  Set rs = conn.Execute (SQLstring)

  If rs.BOF Then
    Response.Write "<p>(No recent orders)<p>"
  Else
    %>
    <p><b>Recent Orders:</b>
    <table border=1 cellspacing=0 cellpadding=3>
      <th>PO
      <th>Status
      <th>Destination
      <th>Carrier : PRO
      <th>Invoice
      <th>Amount
      <%
      Do
        Response.Write "<tr valign=top>"
        Response.Write "<td class=data>"
        If Len(Trim(rs("ponumber"))) > 0 Then
          Response.Write rs("ponumber")
        Else
          Response.Write "&nbsp;"
        End If

        Response.Write "<td class=data>"
        Select Case CInt(rs("ordstatus"))
          Case 1
            Response.Write "pend " & FormatDateMDY (CLng(rs("shipdate")))
          Case 2
            Response.Write "rel"
          Case 3
            Response.Write "ship " & FormatDateMDY (CLng(rs("shipdate")))
          Case Else
            Response.Write "?" & rs("ordstatus")
        End Select

        Response.Write "<td class=data>" & rs("shipname")

        Response.Write "<td class=data>" & rs("carrier") & "&nbsp;"
        If Len(Trim(rs("pronumber"))) > 0 Then
          Response.Write ": " & rs("pronumber")
        End If

        Response.Write "<td class=data>" & rs("invoiceno") & rs("invctype") & _
            FormatDateMDY (Clng(rs("invcdate")))

        Response.Write "<td class=number>" & FormatCurrency(rs("orderamount"), 2, true, true, true)
        Response.Write ""

        rs.MoveNext
      Loop Until rs.EOF
      %>
    </table>
    <%
  End If

  rs.Close
  Set rs = Nothing
  conn.Close
  Set conn = Nothing
End If
%>

<p>
<table width="100%" border=0 cellspacing=0 cellpadding=8>
<tr>
<td align=right>
<!-- <a href="Help/CustomerQpage.html">Help</a> -->
<td align=right>
<a href="/UNITE2003/Default.htm">Home</a>
</table>

</body>
</html>