SELECT skus.sku as sku, skus.container as container, sg.skugroup as skugroup, sg.skugroupname as groupname,
        sum(sales.eachqty) as each1, sum(sales.skuqty) as qty1, sum(sales.skuamount) as amt1, 0 as each2, 0 as qty2, 0 as amt2
		FROM WASPDB.WASPDB.WASPDB.skus skus inner join WASPDB.WASPDB.WASPDB.sales sales on skus.sku=sales.sku
		    inner join WASPDB.WASPDB.WASPDB.skugrouptbl sg on skus.skugroup=sg.skugroup
		WHERE sales.shipno = 1010 and sales.period between 200101 and 200106 
		GROUP BY sg.skugroup, skus.sku, sg.skugroupname, skus.container

UNION ALL

SELECT skus.sku as sku, skus.container as container, sg.skugroup as skugroup, sg.skugroupname as groupname,
	0 as each1, 0 as qty1, 0 as amt1, sum(sales.eachqty) as each2, sum(sales.skuqty) as qty2, sum(sales.skuamount) as amt2
		FROM WASPDB.WASPDB.WASPDB.skus skus inner join WASPDB.WASPDB.WASPDB.sales sales on skus.sku=sales.sku
		    inner join WASPDB.WASPDB.WASPDB.skugrouptbl sg on skus.skugroup=sg.skugroup
		WHERE sales.shipno = 1010 and sales.period between 200001 and 200006
		GROUP BY sg.skugroup, skus.sku, sg.skugroupname, skus.container

ORDER by skugroup, sku